GET /v1/workflows/{workflowId}/variables/{name}/history

Path Parameters

workflowId string required path
Workflow ID
name string required path
Variable name

Query Parameters

limit integer optional query
Max rows per page
offset integer optional query
Offset for pagination (default 0)

Responses

200 OK
application/json
code integer
data object
hasMore boolean
items object[]
Array of:
id integer
name string
newValue unknown
oldValue unknown
op string
Enum: set, manual_set, manual_reset
runId string
scope string
Enum: workflow, run
workflowId string
writtenAt string
writtenByNode string
limit integer
offset integer
message string
requestId string
curl -X GET 'https://api.example.com/v1/workflows/string/variables/string/history' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflows/string/variables/string/history', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/workflows/string/variables/string/history', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflows/string/variables/string/history", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "hasMore": true,    "items": [      {        "id": 123,        "name": "<string>",        "newValue": "<unknown>",        "oldValue": "<unknown>",        "op": "set",        "runId": "<string>",        "scope": "workflow",        "workflowId": "<string>",        "writtenAt": "<string>",        "writtenByNode": "<string>"      }    ],    "limit": 123,    "offset": 123  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I